// Script assets have changed for v2.3.0 see
// https://help.yoyogames.com/hc/en-us/articles/360005277377 for more information

// pa3_ini_var( Sprite name , included files project name);
function pa3_ini_var(_pa3_ini_argument0,_pa3_ini_argument1){


image_index          = 0;
image_speed          = 0;

/* ************************************** PA3_INI_VAR_FOR_ALL  **************************************** */
pa3_max_frame                   = 59;  
pa3_sprite_name                 =  _pa3_ini_argument0; 
pa3_my_project_name             =  _pa3_ini_argument1;
pa3_my_sequence_frame           =  0;
pa3_resize                      =  1;
pa3_my_speed                    =  0;
pa3_total_bone                  =  0;

pa3_animation_n                 =  0;
pa3_mirror                      =  0;    // Specchia Sprite ( Sprite Mirror ) 0 = normale ( normal ); 1 = inversa ( reverse ); 2 = sottosopra ( upside down ); 3 = inversa e sottosopra ( reverse and upside down );
pa3_ahead_animation             =  true; //avanza (true) arretra (false) animazione | Advance (true) or reverse (false) the animation

/* **************************************  Open and Load PA3_Project.txt ****************************** */
var _pa3_url                                   = string("./PA3_")+string(pa3_my_project_name)+string("_Project.txt");
var _pa3_load_project;
  if file_exists(_pa3_url){ _pa3_load_project   = file_text_open_read(_pa3_url); 
                              
                           // >>>>>>>>>   Carica dati delle 18 immagini ed impostane le origini. Load and Set the Origin sprites    <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< //
                           file_text_readln(_pa3_load_project); //" >>>>>>>>>>>>>>>>>> INFO SPRITES <<<<<<<<<<<<<<<<<<"                                 
                           for (i=17;i>=0;i-=1;){                                                                                        
                            pa3_origini_x[i]   = file_text_read_real(_pa3_load_project); file_text_readln(_pa3_load_project);
                            pa3_origini_y[i]   = file_text_read_real(_pa3_load_project); file_text_readln(_pa3_load_project);
                            pa3_load_sprite[i] = asset_get_index(string(pa3_sprite_name)+string(i));
                            if sprite_exists(pa3_load_sprite[i] ){  sprite_set_offset( pa3_load_sprite[i],pa3_origini_x[i],pa3_origini_y[i]); }
                           }                                                   
                                           
                          file_text_readln(_pa3_load_project); //" >>>>>>>>>>>>>>>>>> INFO BONE <<<<<<<<<<<<<<<<<<"
                                       
                           // >>>>>>>>>   Carica i dati di ogni osso.  Loading data of every Bone   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< //
 
                         pa3_total_bone      =  file_text_read_real(_pa3_load_project); file_text_readln(_pa3_load_project);                        
                        
                       if ((pa3_total_bone>0)) {                                                
                                                                                                                  
                        for (i=pa3_total_bone;i>0;i-=1;){   
                         
                         file_text_readln(_pa3_load_project); //">>>>>>>>>>>>>>>>>> depth2 :"
                         pa3_visualizza_textura[i]           = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);
                         pa3_start_my_texture[i]             = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);                         
                         pa3_start_my_texture_index[i]       = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);
                         
                         pa3_start_depth_2[i]                = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);
                         
                         pa3_start_my_texture_x[i]           = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);
                         pa3_start_my_texture_y[i]           = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);                                                 
                         pa3_start_my_texture_scale_x[i]     = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);
                         pa3_start_my_texture_scale_y[i]     = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);                          
                         pa3_start_my_texture_angle[i]       = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);
                         pa3_start_my_texture_color[i]       = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);                                              
                         pa3_start_my_texture_alpha[i]       = file_text_read_real(_pa3_load_project);   file_text_readln(_pa3_load_project);                                              
                         
                         
                                                    
                         pa3_my_texture[i]                   = pa3_start_my_texture[i];
                         pa3_my_texture_index[i]             = pa3_start_my_texture_index[i];                         

                         pa3_depth_2[i]                      = pa3_start_depth_2[i];                         
                         
                         
                         pa3_my_texture_x[i]                 = pa3_start_my_texture_x[i];
                         pa3_my_texture_y[i]                 = pa3_start_my_texture_y[i];
                         pa3_my_texture_scale_x[i]           = pa3_start_my_texture_scale_x[i];
                         pa3_my_texture_scale_y[i]           = pa3_start_my_texture_scale_y[i];
                         pa3_my_texture_angle[i]             = pa3_start_my_texture_angle[i];                                                  
                         pa3_my_texture_color[i]             = pa3_start_my_texture_color[i];
                         pa3_my_texture_alpha[i]             = pa3_start_my_texture_alpha[i];
                         
                         // Set the IMAGE
                         pa3_my_sprite[i]                    = asset_get_index(string(pa3_sprite_name)+string(pa3_my_texture[i])); 
                                           
                        }     
                      }     
                 file_text_close(_pa3_load_project);                  
 }

}